LibreOffice LibreOffice 26.2 SDK API Reference

Modules | Variables
EmbedVerbs.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::embed
| interfaces related to embedded objects, both native UNO and OLE.

## Constant Groups
constants | com::sun::star::embed::EmbedVerbs
| This constants set contains possible verbs for a contained object.

## Variables
const long | MS_OLEVERB_PRIMARY = 0
| lets the object do default activation, as by double-click. More...
const long | MS_OLEVERB_SHOW = -1
| lets the object open itself for editing or viewing. More...
const long | MS_OLEVERB_OPEN = -2
| lets the object activate itself outplace. More...
const long | MS_OLEVERB_HIDE = -3
| lets the inplace object remove its UI from container. More...
const long | MS_OLEVERB_UIACTIVATE = -4
| lets the object proceed with UI activation. More...
const long | MS_OLEVERB_IPACTIVATE = -5
| lets the object activate itself inplace. More...
const long | MS_OLEVERB_DISCARDUNDOSTATE = -6
| lets the object forget any undo state. More...